package com.yidian.shenghuoquan.newscontent.ui

import android.os.Bundle
import android.widget.Toast
import com.yidian.common.base.BaseActivity
import com.yidian.shenghuoquan.newscontent.databinding.ActivityStoreEditBinding
import com.yidian.shenghuoquan.newscontent.widget.CommonTopBarView

/**
 * Author: sym
 * Date: 2021/6/23 3:05 PM
 * Describe:
 */
class EditStoreActivity : BaseActivity<ActivityStoreEditBinding>(), CommonTopBarView.OnCommonTopBarActionCallback {
  override fun createViewBinding(): ActivityStoreEditBinding {
    return ActivityStoreEditBinding.inflate(layoutInflater)
  }

  override fun getXPageName(): String {
    return ""
  }

  override fun init(savedInstanceState: Bundle?) {
    viewBind.addressLayout.setOnClickListener {
      Toast.makeText(this@EditStoreActivity, "click", Toast.LENGTH_SHORT).show()
    }

    viewBind.bvTopBar.setOnCommonTopBarCallback(null, this)
  }

  override fun onDoAction() {
    Toast.makeText(this@EditStoreActivity, "save", Toast.LENGTH_SHORT).show()
  }
}
